    /*
     *  call-seq:
     *     index_reader.term_docs_for(field, term) -> TermDocEnum
     *
     *  Builds a TermDocEnum to iterate through the documents that contain the
     *  term +term+ in the field +field+. See TermDocEnum for more info.
     */
    static VALUE
    frb_ir_term_docs_for(VALUE self, VALUE rfield, VALUE rterm)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return frb_get_tde(self, ir_term_docs_for(ir,
                                                  frb_field(rfield),
                                                  StringValuePtr(rterm)));
    }